Skip to navigation

Record Workspace Checkpoint

View as Markdown
Record a verified uploaded manifest as this session's workspace checkpoint.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
attachment_idstringRequired

Request

This endpoint expects an object.
manifest_digeststringRequiredformat: "^[0-9a-f]{64}$"
triggerenumRequired
Allowed values:
run_idstring or nullOptional1-128 characters

Response

Successful Response
branchstring
commit_shastring
recorded_atstring

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error